Bug 1256481 - OpenStack error cannot interpret value set for password if password contains a dash (-)
OpenStack error cannot interpret value set for password if password contains ...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
unspecified
Unspecified Unspecified
low Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: James Slagle
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 13:16 EDT by rlopez
Modified: 2016-10-04 15:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 15:50:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rlopez 2015-08-24 13:16:34 EDT
Description of problem:
If you set a password with a dash (-) within the [auth] of it causes an error.


Version-Release number of selected component (if applicable):
instack-undercloud-2.1.2-23.el7ost.noarch
instack-0.0.7-1.el7ost.noarch
selinux-policy-3.13.1-23.el7_1.13.noarch
openstack-selinux-0.6.37-1.el7ost.noarch
selinux-policy-targeted-3.13.1-23.el7_1.13.noarch
libselinux-python-2.2.2-6.el7.x86_64


Steps to Reproduce:
1. Set passwords with a dash in it within [auth] section of undercloud.conf
2.
3.

Error:

[2015/08/21 12:25:42 PM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
[2015/08/21 12:25:42 PM] [ERROR] cannot interpret value 'XXXXX-' as type default
+ UNDERCLOUD_TUSKAR_PASSWORD=


NOTE: I've omitted the actual password used and replaced it with X and a - at the end.
Comment 5 Mike Burns 2016-04-07 16:47:27 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 7 Jaromir Coufal 2016-10-04 15:50:20 EDT
Tuskar is deprecated.

Note You need to log in before you can comment on or make changes to this bug.